Package Details: openocd-git 0.10.0.r1089.g3bfe49266-1

Git Clone URL: https://aur.archlinux.org/openocd-git.git (read-only, click to copy)
Package Base: openocd-git
Description: Debugging, in-system programming and boundary-scan testing for embedded target devices (git version)
Upstream URL: http://openocd.org
Licenses: GPL
Conflicts: openocd
Provides: openocd
Submitter: veox
Maintainer: codyps (AndrevS, mdf)
Last Packager: codyps
Votes: 30
Popularity: 0.000325
First Submitted: 2012-12-30 00:55
Last Updated: 2020-02-26 00:29

Required by (9)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

mihadyuk commented on 2016-06-21 13:17

I am not able to build due to following error.

checking the archiver (ar) interface... unknown
configure: error: could not determine ar interface
configure: error: ./configure.gnu failed for src/jtag/drivers/libjaylink
==> ERROR: A failure occurred in build().
Aborting...

cgundogan commented on 2016-03-18 06:49

Cloning openocd-git prompts for a username and password to connect to `https://git.code.sf.net`.
As a workaround, I replaced `git://git.code.sf.net/p/openocd/code` by `http://git.code.sf.net/p/openocd/code` and this seems to work, though it's not the preferred solution.

alex.forencich commented on 2015-10-27 22:32

Excellent, yaourt has now stopped complaining about openocd being out of date all the time.

yhfudev commented on 2015-10-27 15:29

Thanks alex, I updated the pkgver().

alex.forencich commented on 2015-10-17 03:13

Please use

git describe --tags --long | sed -E 's/^v//;s/([^-]*-g)/r\1/;s/-/./g'

for pkgver_git. It produces a package version that can actually be compared correctly (currently openocd-git-0.9.0.r40.gd52070c-1)

nickoe commented on 2015-05-16 16:28

I blindly updated with you suggested changes.

FreddieChopin commented on 2015-05-15 19:33

OK, while we're at it, a couple more things could be improved (;

1. "--enable-arm-jtag-ew" should be "--enable-armjtagew"

2. Some options worth adding:
--enable-aice
--enable-cmsis-dap
--enable-dummy
--enable-jtag_vpi
--enable-opendous
--enable-openjtag_ftdi
--enable-remote-bitbang
--enable-ti-icdi
--enable-ulink
--enable-usb-blaster-2

nickoe commented on 2015-05-15 15:40

Update with package function

FreddieChopin commented on 2015-05-15 15:09

When trying to install (with yaourt) I get this:

---

==> Building and installing package
==> ERROR: Missing package() function in /tmp/yaourt-tmp-freddie/aur-openocd-git-libftdi/./PKGBUILD
==> ERROR: Makepkg was unable to build openocd-git-libftdi.

---

It worked the last time I did the install, which was in November. Any help appreciated!

fenugrec commented on 2015-03-16 16:52

installed file /etc/udev/rules.d/99-openocd.rules assigns group "plugdev" which is probably incorrect on arch? ; I suggest using group "uucp" like the other /dev/tty* devices. (See standard /lib/udev/rules.d/50-udev-default.rules )
Something like <>sed -i -e "s/plugdev/uucp/g" /etc/udev/rules.d/99-openocd.rules<>